Bug 999892 - [origin_broker_77] Some docs are not generated via generate-rest-docs when running the second time.
[origin_broker_77] Some docs are not generated via generate-rest-docs when ru...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Lili Nader
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 06:40 EDT by Liang Xia
Modified: 2015-05-14 20:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of running the first time (10.89 KB, text/plain)
2013-08-22 06:40 EDT, Liang Xia
no flags Details
Output of running the second time (2.28 KB, text/plain)
2013-08-22 06:41 EDT, Liang Xia
no flags Details

  None (edit)
Description Liang Xia 2013-08-22 06:40:21 EDT
Created attachment 789129 [details]
Output of running the first time

Description of problem:
Some docs are not generated via generate-rest-docs when running the second time.

Version-Release number of selected component (if applicable):
devenv_3685

How reproducible:
always

Steps to Reproduce:
1.generate docs via generate-rest-docs.
2.remove the generated doc folder html.
3.try to generate docs via generate-rest-docs again.

Actual results:
In step 3 only 17 of 52 docs are generated.
Expected results:
Docs generated successfully.

Additional info:
Comment 1 Liang Xia 2013-08-22 06:41:52 EDT
Created attachment 789131 [details]
Output of running the second time
Comment 4 Liang Xia 2013-08-28 02:19:41 EDT
Verified on devenv_3716, it generates the same number of docs when running generate-rest-docs multiple times.

# pwd
/root/.source_build/origin-server/broker/doc
# ls html | wc ; ls html_1 | wc
     57      57    2648
     57      57    2648

Note You need to log in before you can comment on or make changes to this bug.